Inhalte

# Funktion Exp

Potenziert die Basis des natürlichen Logarithmus (die Eulersche Zahl, e = 2,718282) um die angegebene Potenz.

## Syntax:

    Exp (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, der den gewünschten Exponenten für "e" festlegt (die Basis des natürlichen Logarithmus). Der Exponent muss für Zahlen mit einfacher Genauigkeit (Single) kleiner oder gleich 88,02969 und für Zahlen mit doppelter Genauigkeit (Double) kleiner oder gleich 709,782712893 sein, da LibreOffice Basic ansonsten einen Überlauffehler zurückgibt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleLogExp
    Dim dValue As Double
        Const b1=12.345e12
    Const b2=1.345e34
        dValue=Exp( Log(b1)+Log(b2) )
        MsgBox "" & dValue & chr(13) & (b1*b2) ,0,"Multiplikation durch Logarithmenbildung"
    End Sub